Subject: Re: [PATCH] i2c: Driver to expose PowerNV platform i2c busses

From: Michael Ellerman <[email-masked]>
Date: Thu, 13 Nov 2014 16:36:28 +1100

On Wed, 2014-11-12 at 17:07 +1100, Benjamin Herrenschmidt wrote:
> On Mon, 2014-11-10 at 11:35 +0530, Neelesh Gupta wrote:
> > The patch exposes the available i2c busses on the PowerNV platform
> > to the kernel and implements the bus driver to support i2c and
> > smbus commands.
> > The driver uses the platform device infrastructure to probe the busses
> > on the platform and registers them with the i2c driver framework.
> > 
> > Signed-off-by: Neelesh Gupta <[email-masked]>
> > Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> 
> This version slightly modified removes the unrelated gunk in opal.c
> (but needs to apply on top of some other patches in the powerpc tree)
> 
> The driver is the same, it's only the
> arch/powerpc/platform/powernv/opal.c init bits that get cleaned up and
> simplified.
> 
> From: Neelesh Gupta <[email-masked]>
> Date: Fri, 7 Nov 2014 16:20:07 +1100
> Subject: [PATCH v2] i2c: Driver to expose PowerNV platform i2c busses
> 
> The patch exposes the available i2c busses on the PowerNV platform
> to the kernel and implements the bus driver to support i2c and
> smbus commands.
> 
> If the devices are found on the device tree for a given bus/adapter,
> the platform init code registers them to the core and binds them
> a static bus/adapter number, otherwise the driver registers the
> adapter to get the adapter number dynamically.

So the driver part depends on the arch/powerpc changes.

I added Wolfram the i2c maintainer to CC. Wolfram are you happy if we take this
through the powerpc tree with your ack, or I can do a topic branch?

cheers